# say

Type text in a window

Usage

    say [-x] [-q] [-r=<window_id>] <text>

Description

This command is more or less equivalent to typing text in the input entry of the current window. If the -r switch is used then the command is rebound to the window specified by <window_id>. The main difference is that the variables and identifiers in <text> are always parsed (when typing this happen only if the text is a command).
With -x you can also use this command to execute "variable" commands too: if <text> begins with a slash then it will be treated as a command to be executed (after parsing the identifiers etc.).
Please note that using /say -x with a <text> that isn't a constant in the script but comes from some unidentified external source (e.g. the network) is a potential security flaw: don't do it. When the -x switch is not used, the text is never interpreted as command. -q causes the command to run quietly.
Please note that /say will also trigger the ontextinput event. Handle with care.

Switches

-q | --quiet
Run quietly
-r=<window_id> | --rebind=<window_id>
Standard command rebinding switch
-x | --allow-exec
Allow the execution of commands by interpreting the leading slash in th <text>

Syntax Specification

    say [-x] [-q] [-r=<window_id>] <text:string>

Index, Commands

KVIrc 4.0.2.4740 Documentation
Generated by root at Tue Feb 1 06:16:04 2011